package client;

import shopping.*;
import org.omg.CORBA.*;

public class ShoppingCartClient {
		
	public static void main(String args[]) {
  	
  	if (args.length != 3) {
    	System.err.println("Uso corretto: java ShoppingCartClient userId Autore Titolo");
      return;
    }

    // Crea ed inizializza l'ORB
  	ORB orb = ORB.init(args, null);

    // ID del servant
    byte[] factoryId = "ShoppingCartFactory".getBytes();

    // Localizza l'oggetto Factory
    // Devo usare il POA name e l'Id del servant
    ShoppingCartFactory factory = ShoppingCartFactoryHelper.bind(orb, "/shopping_cart_poa", factoryId);

    // Ottengo dalla Factory un'oggetto ShoppingCart
    ShoppingCart cart = factory.getShoppingCart(args[0]);
      
    // Aggiungo un libro
    cart.addBook(new Book(args[1],args[2]));
      
    // Ottengo la lista dei libri e la stampo
    Book[] list = card.getBookList();      
    for(int i=0; i<list.length; i++)
      System.out.println("Autore " + list[i].Author + " - Titolo " + list[i].Title);
            
  }
}
