package server;

import shopping.*;
import org.omg.PortableServer.*;

public class ShoppingCartServer {
  
  public static void main(String[] args) {
    
    try {

	  	// Inizializza l'ORB.
    	org.omg.CORBA.ORB orb = org.omg.CORBA.ORB.init(args,null);
            
    	// Prende il reference al the root POA
    	POA rootPOA = POAHelper.narrow(orb.resolve_initial_references("RootPOA"));

    	// Crea le policies per il nostro persistent POA
    	org.omg.CORBA.Policy[] policies = { 
      	rootPOA.create_lifespan_policy(LifespanPolicyValue.PERSISTENT) 
    	};

    	// Crea myPOA con le date policies
    	POA myPOA = rootPOA.create_POA( "shopping_cart_poa", rootPOA.the_POAManager(), 
                                        policies );
    	// Crea l'oggetto Factory
    	ShoppingCartFactoryImpl factory = new ShoppingCartFactoryImpl();

    	// Stabilsco l'ID del servant
    	byte[] factoryId = "ShoppingCartFactory".getBytes();

    	// Attiva il servant su myPOA con il dato Id
    	myPOA.activate_object_with_id(factoryId, factory);

    	// Attiva il POA
    	rootPOA.the_POAManager().activate();

    	System.out.println(myPOA.servant_to_reference(factory) + 
                         " is ready.");
                         
    	// Si mette in attesa delle requests
    	orb.run();
    	
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
}




